let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const getSearchUsers = async (searchMail: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/searchMail?searchMail=${searchMail}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>",
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }

    if (!response.ok) {
      throw new Error("Failed to get users");
    }

    return await response.json();
  } catch (error: any) {
    echo.error("Failed to get users");
    console.log(error.message);
  }
};
